package com.sunxung.factoring.entity.ledger.vo;

import com.sunxung.factoring.entity.BaseSearch;

import java.util.List;

/**
 * @Description : 收放款计划查询类
 * @Author : L.Jia
 * @Date: 2021-12-09 14:42
 */
public class LedgerPlanFactoringSearch extends BaseSearch {

    /**
     * 企业Id
     */
    private Long enterpriseId;

    /**
     * 标签 0:下游回款、1:上游回购
     */
    private Long label;


    /**
     * 放款记录Id
     */
    private Long billingFactoringBusinessLoanRecordId;

    /**
     * 对应SOP应收账款Id
     */
    private Long sopAccountsReceivableId;

    /**
     * 对应sop底层资产Id集合
     */
    private List<Long> sopAccountsReceivableIds;

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getBillingFactoringBusinessLoanRecordId() {
        return billingFactoringBusinessLoanRecordId;
    }

    public void setBillingFactoringBusinessLoanRecordId(Long billingFactoringBusinessLoanRecordId) {
        this.billingFactoringBusinessLoanRecordId = billingFactoringBusinessLoanRecordId;
    }

    public Long getSopAccountsReceivableId() {
        return sopAccountsReceivableId;
    }

    public void setSopAccountsReceivableId(Long sopAccountsReceivableId) {
        this.sopAccountsReceivableId = sopAccountsReceivableId;
    }

    public List<Long> getSopAccountsReceivableIds() {
        return sopAccountsReceivableIds;
    }

    public void setSopAccountsReceivableIds(List<Long> sopAccountsReceivableIds) {
        this.sopAccountsReceivableIds = sopAccountsReceivableIds;
    }

    public Long getLabel() {
        return label;
    }

    public void setLabel(Long label) {
        this.label = label;
    }
}
